Ruby on Rails rails-html-sanitizer gem 跨站脚本漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1150439 漏洞类型 跨站脚本
发布时间 2016-01-25 更新时间 2019-08-09
CVE编号 CVE-2015-7578 CNNVD-ID CNNVD-201602-067
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201602-067
|漏洞详情
Ruby on Rails(Rails)是Rails核心团队开发维护的一套基于Ruby语言的开源Web应用框架,它是由大卫-海纳梅尔-韩森从美国37signals公司的项目管理工具Basecamp里分离出来的。rails-html-sanitizer gem是其中的一个HTML代码清理包。 Ruby on Rails的rails-html-sanitizer gem中存在跨站脚本漏洞。远程攻击者可借助特制的标签属性利用该漏洞注入任意Web脚本或HTML。以下产品及版本受到影响:Ruby on Rails 4.2.x版本和5.x版本,rails-html-sanitizer gem 1.0.3之前版本。
|参考资料

来源:github.com
链接:https://github.com/rails/rails-html-sanitizer/commit/297161e29a3e11186ce4c02bf7defc088bf544d4
来源:MLIST
链接:https://groups.google.com/forum/message/raw?msg=ruby-security-ann/uh--W4TDwmI/ygHE7hlZEgAJ
来源:MLIST
链接:http://www.openwall.com/lists/oss-security/2016/01/25/11
来源:BID
链接:http://www.securityfocus.com/bid/81802